View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000269Ecere SDKecerepublic2009-10-20 21:212013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000269: Using PrintLn to print out pointer values of NOHEAD classes is broken
Descriptionclass Test : struct { int a; };
class App : Application
{
   void Main()
   {
      Test a {};
      uint b = a;
      PrintLn((uint)a);
      PrintLn(b);
      getch();
   }
}
Tagsv0.44d2
Attached Files

- Relationships
related to 0000452closedjerome runtime: uint32 & OnGetString ends up calling Signed Integer, serialNumber.OnGetString(rootPath, null, null); 
related to 0000157closedjerome PrintLn with a big int64 does not display higher bit 

-  Notes
(0000126)
jerome (administrator)
2009-10-20 21:23

Temporary fix:

PrintLn((uint)*(void **)&a);
(0000127)
jerome (administrator)
2009-10-20 21:27

The problem does not occur for regular classes.
(0000771)
jerome (administrator)
2013-04-28 23:17

Fixed by https://github.com/ecere/sdk/commit/a65f4b781bab78df461144dfe1c8bedb70ecb5d1 [^]

- Issue History
Date Modified Username Field Change
2009-10-20 21:21 jerome New Issue
2009-10-20 21:23 jerome Note Added: 0000126
2009-10-20 21:27 jerome Summary Using PrintLn to print out pointer values of classes is broken => Using PrintLn to print out pointer values of NOHEAD classes is broken
2009-10-20 21:27 jerome Note Added: 0000127
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 20:57 redj Relationship added child of 0000429
2010-07-26 03:19 jerome Relationship added related to 0000157
2010-07-26 19:19 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:20 redj Relationship deleted child of 0000429
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-24 03:38 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-27 22:54 jerome Status new => assigned
2013-04-27 22:54 jerome Assigned To => jerome
2013-04-28 05:49 jerome Relationship added related to 0000452
2013-04-28 23:17 jerome Status assigned => resolved
2013-04-28 23:17 jerome Fixed in Version => 0.44.1 64
2013-04-28 23:17 jerome Resolution open => fixed
2013-04-28 23:17 jerome Note Added: 0000771
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker